extends Spatial

onready var label = $CanvasLayer/Label
onready var area = $Area
onready var kinematic_body = $KinematicBody

var t = 0.0

func _process(delta):
	t += delta
	kinematic_body.translation.z = 5.0 * sin(t)
	
	label.text = str(area.get_overlapping_bodies())

func _input(event):
	if event.is_action_pressed("ui_accept"):
		var tree = get_tree()
		var root = tree.root
		
		tree.paused = true
		root.remove_child(self)
		yield(tree.create_timer(0.1), "timeout")
		root.add_child(self)
		tree.paused = false

func _on_Area_body_entered(body):
	print("body_entered " + str(body))

func _on_Area_body_exited(body):
	print("body_exited " + str(body))
